Cgu::AsyncQueuePopError Class Reference

An exception thrown if calling pop() on a AsyncQueue or AsyncQueueDispatch object fails because the queue is empty. More...

`#include <c++-gtk-utils/async_queue.h>`

Inheritance diagram for Cgu::AsyncQueuePopError:

## Public Member Functions

virtual const char * | what () const throw ()

## Detailed Description

An exception thrown if calling pop() on a AsyncQueue or AsyncQueueDispatch object fails because the queue is empty.

See Also
  AsyncQueue AsyncQueueDispatch

## Member Function Documentation

virtual const char* Cgu::AsyncQueuePopError::what | ( | ) |  | const
throw | ( |
| ) |  |

inline virtual

The documentation for this class was generated from the following file:

- async_queue.h